Bug 503600 - system-config-display traceback while trying to configure dual-head
system-config-display traceback while trying to configure dual-head
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-01 16:43 EDT by Erik Jacobson
Modified: 2010-06-28 08:47 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:47:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Example xorg.conf working around the issue (1.73 KB, text/plain)
2009-06-01 16:43 EDT, Erik Jacobson
no flags Details

  None (edit)
Description Erik Jacobson 2009-06-01 16:43:48 EDT
Created attachment 346137 [details]
Example xorg.conf working around the issue

Description of problem:

When system-config-display is run, it writes an x.org.conf properly when
you do not try to use the dual-head abilities.  However, when you try
to configure dual-head, it sends a traceback as follows:

Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 212, in ok
    if card.getDescription() == self.secondVideocardOptionMenu.get_menu().get_active().get_data("NAME"):
AttributeError: 'NoneType' object has no attribute 'get_data'


Version-Release number of selected component (if applicable):
rhpl-0.221-1.x86_64
system-config-display-1.1.3-2.fc11.noarch
xorg-x11-drv-intel-2.7.0-7.fc11.x86_64
xorg-x11-server-common-1.6.1.901-1.fc11.x86_64

The system was installed with Fedora11 preview, then a couple yum updates
were run to update all the packages.
/etc/redhat-release:
Fedora release 11 (Leonidas)

This Dell desktop is an Optiplex 745 with an ADD2 card installed.  The
ADD2 card has two DVI ports.  There is a Dell 2007FP flat panel display
connected to each DVI port.

This means that the integrated Intel Q965 graphics are being used, but the 
DVI ports are supplied by an add-in ADD2 card.


This is what xrandr shows:
# xrandr
Screen 0: minimum 320 x 200, current 3200 x 1200, maximum 8192 x 8192
VGA1 disconnected (normal left inverted right x axis y axis)
DVI1 connected 1600x1200+0+0 (normal left inverted right x axis y axis) 367mm x 275mm
   1600x1200      60.0*+
   1280x1024      75.0
   1024x768       75.1     60.0
   800x600        75.0     60.3
   640x480        75.0     60.0
   720x400        70.1
DVI2 connected 1600x1200+1600+0 (normal left inverted right x axis y axis) 367mm x 275mm
   1600x1200      60.0*+
   1280x1024      75.0
   1024x768       75.1     60.0
   800x600        75.0     60.3
   640x480        75.0     60.0
   720x400        70.1


How reproducible:

This is 100% reproducible on my own Dell desktop.

Steps to Reproduce:
1. Start up system-config-display
2. Choose the 'Dual head' tab 
3. Check 'Use dual head'
4. Choose a monitor type for monitor 2
5. Second Video Card is blank (as there is no 2nd video card per se)
6. Make sure resolution, color depth have values
7. I use desktop layout "Spanning Desktops"
8. Click OK
  
Actual results:

A traceback happens, and /etc/X11/xorg.conf is never written to.

Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 212, in ok
    if card.getDescription() == self.secondVideocardOptionMenu.get_menu().get_active().get_data("NAME"):
AttributeError: 'NoneType' object has no attribute 'get_data'

Expected results:

A dual-head /etc/X11/xorg.conf file.

Additional info:

While searching if this bug was already reported, I ran in to people explaining
that the reason system-config-display is no longer installed by default is
because it's done "on the fly" and that people should use the gnome or kde
tools to configure the desktop.  Although I found the display properties in
gnome, I found no means to configure dual-head using that tool.  This is why
I'm using system-config-display and reporting this bug.

In case people find this bug looking for a work-around, I'm attaching an
xorg.conf I made by hand that works for my situation.  Using this hand-crafted
xorg.conf, I'm able to run gnome in dual-head, spanning-desktop mode.
Comment 1 Bug Zapper 2009-06-09 12:56:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Charles Butterfield 2009-10-09 17:17:20 EDT
I have the exact same problem (which is a very old problem, see https://bugzilla.redhat.com/show_bug.cgi?id=443352 )

My system is a Dell T3500
 - nVIDIA Quadro NVS-295 (Dual DisplayPort)
 - Dual Dell flat panel monitors - 1600 x 1200
Comment 3 Matěj Cepl 2009-11-05 13:30:22 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 4 Erik Jacobson 2009-11-06 11:49:08 EST
I didn't try the updates-testing or F12.  However, I applied the latest
F11 updates and the problem persists.

Comment #2 indicates this could really be 443352, which was present (but not
fixed) in Fedora9.

[root@hoot X11]# rpm -q rhpl system-config-display xorg-x11-drv-intel xorg-x11-server-common
rhpl-0.221-1.x86_64
system-config-display-1.1.3-2.fc11.noarch
xorg-x11-drv-intel-2.7.0-7.fc11.x86_64
xorg-x11-server-common-1.6.4-0.1.fc11.x86_64
Comment 5 Michal Hlavinka 2009-11-09 06:27:26 EST
I can reproduce this in rawhide with system-config-display-2.2-1.fc12.x86_64
Comment 6 Michal Hlavinka 2009-11-09 06:30:39 EST
traceback captured by abrt:

Summary: TBa632bfbd xConfigDialog.py:211:ok:AttributeError: 'NoneType' object has no attribute 'get_data'

Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 211, in ok
    if card.getDescription() == self.secondVideocardOptionMenu.get_menu().get_active().get_data("NAME"):
AttributeError: 'NoneType' object has no attribute 'get_data'

Local variables in innermost frame:
depth: 24
second_screen: <XF86ConfScreen object at 0x7f14c25e3270>
display_option: <XF86ConfDisplay object at 0x7f14c25e32b0>
option: <XF86Option name='dpms' val='(null)' used=0>
upper_hsync: 81.0
widget: <gtk.Button object at 0x2bc8a00 (GtkButton at 0x2bd1100)>
res: 1680x1050
self: <xConfigDialog.XConfigDialog instance at 0x27272d8>
vr: 56.0-76.0
second_monitor: <XF86ConfMonitor object at 0x7f14c25e31f0>
second_videocard: <XF86ConfDevice object at 0x7f14c25e33b0>
vs: 30.0-81.0
mode: <XF86Mode object at 0x7f14c25e3370>
lower_hsync: 30.0
upper_vrefresh: 76.0
card: device: None
driver : nv
descr : nVidia Corporation Quadro NVS 290
vidRam: None

lower_vrefresh: 56.0
Comment 7 Bug Zapper 2010-04-27 10:37:02 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 08:47:07 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.